{% extends "admin/app.twig" %}
{% block content %}
<div class="container">
  {% include 'admin/navbar.twig' %}
  <div class="row">
    <div class="col-sm">
        <div id="content">
          <h1 id="content-title">Таблицы</h1>
          <div id="line"></div>
            <div class="row" style="margin-left: 10px;">
              <table class="table table-striped">
                <thead>
                  <tr>
                    <th scope="col">#</th>
                    <th scope="col">Класс</th>
                    <th scope="col">Имя таблицы</th>
                    <th scope="col">Действие</th>
                  </tr>
                </thead>
                <tbody>
                {% for key,value in result %}
                  <tr>
                    <th scope="row">1</th>
                    <td>{{ key }}</td>
                    <td>{{ value["name"] }}</td>
                    {% if not value["exist"]%}
                      <td>
                        <button type="button" id = "btn-{{value["name"]}}" class="btn btn-info" onclick="get_request('/home/create-table/{{value["name"]}}')">Create table for {{ key }}</button>
                      </td>
                    {%else%}
                      <td>
                        <button type="button" class="btn btn-info" disabled>Table {{ value["name" ]}} exists! </button>
                        <button type="button" class="btn btn-danger" onclick="get_request('/home/delete-table/{{value["name"]}}')">Delete table for {{ key }}</button>
                      </td>
                    {%endif%}
                  </tr>
                {% endfor %}
                </tbody>
              </table>
            </div>
          </div>
          <div id="content-footer"></div>
        </div>
    </div>
  </div>
{% endblock %}